// VHA = Vov Help Assistant.

#define VHA_NOVICE "\n\
\n\
     #########################################\n\
     ### IMPORTANT ADVICE FOR NOVICE USERS ###\n\
     #########################################\n\
\n\
If this is the first time you use `vov_assist', you are strongly\n\
advised to PROCEED SLOWLY. It will take you only a few minutes more\n\
to step through the dialogs slowly, to see and understand what\n\
`vov_assist' does. At times, you will see an `Automatic' button: DO\n\
NOT USE IT. If you do, `vov_assist' will perform a lot of work\n\
(probably even doing the right thing) without you knowing what is\n\
going on.\n\
"

#define VHA_MAIN "\
This is `vov_assist', your humble assistant.\n\n\
You can get help in examining existing traces, prepared by expert users.\n\n\
You should try to LEARN BY EXAMPLE how to get something done.\n\n\
The prepared traces are called EXAMPLE TRACES.\n\n\
You can also merge (copy) parts of an example trace into your design.\n\
Select an example trace and click `Assist'.\n\n\
`Assist': look/merge the selected example trace.\n\n\
`Info': get some more information about the selected example trace.\n\n\
`Show trace': link to graphical interface (VEM/RPC)\n\n\
"

#define  VHA_EDIT  "\
You are looking at the script resulting from one existing trace.\n\
You can extract information from the existing trace and apply it\n\
to your design.\n\
\n\
`NEWROOT' is the root name that you want to use in the conversion\n\
of the existing trace into your design. For example, if the existing\n\
trace refers to the design of a 16 bit ALU, OLDROOT would be something\n\
like `16bitAlu'. But you might want to build a 7 segment display decoder\n\
instead, using a design flow similar to the one used for the ALU.\n\
In such a case, you would change NEWROOT with, for example, `7segDecoder'\n\
and then you would click `Proceed'.\n\
\n\
`Proceed': prepare the trace and prepare all the primary inputs.\n\
\tYou will be prompted before each transition and each primary input\n\
\tis copied.\n\
`Toggle notes': turn on/off the display of annotations in the script.\n\
"

#define VHA_COPY_TRANSITION "\
A transition in the example trace is about to be copied in the\n\
current design trace.\n\
\n\
`Copy': go ahead.\n\
`Skip': skip this transition.\n\
`Info': get more information about this transition.\n\
`Automatic': continue automatically without querying.\n\
\n\
"

#define VHA_COPY_PLACE "\
A place in the example trace is about to be copied in the\n\
current directory.\n\
\n\
`Copy': go ahead.\n\
`Skip': do not copy the place.\n\
`Info': get more information about this transition.\n\
`Automatic': continue automatically without querying.\n\
\n\
"


#define VHA_WHAT_NEXT "\
The example trace has been transferred to your design trace.\n\
Now you can exit vov_assist and start using the standard VOV services\n\
as provided, for example, by vov_sh.\n\n\
In the working directory, you can find some new data. Edit the data,\n\
if necessary, then ask VOV to do an automatic retracing.\n\
"

