#include "port.h"
#include "rpc.h"
#include "dds.h"
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>

/* extern Widget XtVaAppCreateShell(); */
extern int ddsReallyDestroyFlag; /* This is temporary!! */

void handleXevents( number, read, write, except )
    int number;
    int *read;
    int *write;
    int *except;
{
    ddsEvtHandler handler;
    handler.other_handler = 0;
    handler.user_data = 0;
    (void)dds_outstanding( &handler );
}




/*
 * UserMain 
 *
 * Initializes the application
 */
void
VRPC_initX( display )
    char *display;		/* name of X display			*/
{
    Display *disp;
    static int readmask = 0;
    static int zero = 0;
    int argc = 1;
    char *argv[3];
    XtAppContext context;
    Widget app_shell;

    argv[0] = "vem";
    argv[1] = "-d";
    argv[2] = display;

    /* XtSetErrorHandler(); */
    XtToolkitInitialize();
    context = XtCreateApplicationContext();

    disp =  XtOpenDisplay( context, display, argv[0],
			   DDS_DEFAULT_CLASS, (XrmOptionDescRec *)0,
			   (Cardinal) 0, &argc, argv );
    app_shell = XtVaAppCreateShell(argv[0], DDS_DEFAULT_CLASS,
				   applicationShellWidgetClass, disp,
				   XtNallowShellResize, True,
				   XtNinput, True, 
				   NULL);
    dds_partial_init( context, app_shell );
    readmask = ( 1 << ConnectionNumber( disp ) );
    RPCUserIO( ConnectionNumber( disp ) + 1, &readmask, &zero, &zero, 
	       handleXevents );



    ddsReallyDestroyFlag = 1;

}

