#ifndef PATH_H
#define PATH_H
#pragma once


// Routines in path.cc 
extern int    path_test( const String& );
extern int    path_isDirectory( const String& );
extern int    path_isSymbolicLink( const String& );
extern String path_canonicalize( const String& );
extern String path_expand( const String& );
extern String path_removedotdot( const String& );
extern String path_networkFull( const String& );
extern String path_localFull( const String& );
extern String path_removeSymbolicLinks( const String& );
extern String path_lastComponent( String& );
extern String path_host( const String& );
extern void   path_register_logical( String& name, String& value );
#endif
