#ifndef VOVERROR_H
#define VOVERROR_H
#pragma once

extern class String;

typedef void (*VovErrorOutputFunc)( const String& s );

extern VovErrorOutputFunc vovSetErrorOutputFunction( VovErrorOutputFunc );

extern void vovFatalError( String& s);
extern void vovError( String& s );
extern void vovMessage( String& s );
extern void vovBug( String& s );

#endif  /* VOVERROR_H */

