#ifndef PLACELIST_H
#define PLACELIST_H

#include <String.h>
#include "vovinternal.h"

class VovPlaceListElt {
 public:
    VovPlace* placePtr;
    int ioType;			/* Input or output */
    VovStatus status;
};

class VovPlaceList {
    int size;
    int n;
    VovPlaceListElt* array;
    void checkBounds( int index );
 public:
    VovPlaceList( int s );
    ~VovPlaceList();
    void clear();
    void add( VovPlaceType t , String& name, int ioType);
    void add( VovPlace& place, int ioType );
    void del( int index );
    int length();
    VovPlace&   getPlace( int index );
    int& 	getType( int index );
    VovStatus&  getStatus( int index );
    VovPlace&   first();
    VovPlace&   next();
};

#endif
