#include "invalidate.h"

VovInvalidateInfo::VovInvalidateInfo( VovNode& node, VovNodeStatus s )
{
    status = s;
    place_id = node.id();
    places = 0;
    transitions = 0;
    durations = 0;
    revive = 0;
    msg = 0;
}

VovInvalidateInfo::~VovInvalidateInfo()
{
}


String VovInvalidateInfo::format()
{
    String s = msg;
    if ( places > 1 )  s += form( "\n%d places,", places );
    if ( durations )   s += form("\n%d transitions,\n%d seconds estimated to retrace.",transitions,durations );
    return s;
}
