/*
 *  Header file for smm.c
 */

#ifndef NIL
#define NIL(type)	((type *) 0)
#endif

#define ALLOC(type, num) \
    ((type *) MMalloc((long) (num) * (long) sizeof(type)))
#define REALLOC(type, object, size) \
    ((type *) MMrealloc((char *) object, (long) (size) * (long) sizeof(type)))
#define	FREE(object) \
    (MMfree((char *) object), object = 0)

extern char *MMalloc();		/* allocate a memory block */
extern char *MMrealloc();	/* re-allocate a memory block */
extern void MMfree();		/* free a memory block */

extern void (*MMoutOfMemory)();	/* function to be called when out-of-memory */
extern void MMout_of_memory();	/* routine to handle out-of-memory condition */
