/* -*- C++ -*- */
/*
** arc.h
**
** This file describes the data structures to represent the design node
*/
#ifndef ARC_H
#define ARC_H
#pragma once

#include "node.h"

#define VOV_ARC_OCTMASK OCT_PATH_MASK

class VovArc : public VovObject {
 public:
    VovArc();					// 
    VovArc( VovNode&,  VovNode&, VovNodeStatus );	// 
    ~VovArc();						// 
    void changeStatus( VovNodeStatus );		// 
    void adjust();				// 
    void other( VovNode& , VovNode& );
    void del();
};


#endif	/* ARC_H */


