#pragma once

/* Travfunc.h
** Declaration of all functions that can be used 
** in conjunction with the trace traversal routines
*/

extern VovStatus VT_setNodeStatus( VovNode&, void* );
extern VovStatus VT_checkNodeStatus( VovNode&, void*);
extern VovStatus VT_checkOutput( VovNode&, void*);


extern VovStatus VT_cycleVisitOutput( VovNode& node, void* globalstart);


extern VovStatus VT_levelbefore( VovNode& , void*);
extern VovStatus VT_levelvisit_in( VovNode& , void*);
extern VovStatus VT_levelvisit_out( VovNode& , void*);
extern VovStatus VT_levelafter( VovNode& , void*);

extern VovStatus VT_levelmin_output_level( VovNode& , void* );

extern VovStatus VT_invalidate( VovNode& , void* );
extern VovStatus VT_readyTransition( VovNode& , void* );
extern VovStatus VT_usefulTransition( VovNode& , void*  );
extern VovStatus VT_collectPlanTransition( VovNode& , void* );
extern VovStatus VT_checkPlace( VovNode& , void* );

