#ifndef VOVLIB_H
#define VOVLIB_H
#pragma once

#include "vovinternal.h"

// libvov.a functions.

extern class VovTrace;

extern void 	VOVcatchAllSignals();
extern VovStatus VOVdebugCommunication( VovTrace& );
extern VovStatus VOVsetClock( VovTrace&, char*, int );



extern VovStatus VOVstartTransition( VovTrace&, VovTransition& );
extern VovStatus VOVaddInput( VovTrace&, VovTransition&, VovPlace& );
extern VovStatus VOVaddOutput( VovTrace&, VovTransition&, VovPlace& );
extern VovStatus VOVendTransition( VovTrace& , VovTransition&);

extern VovStatus VOVecho( VovTrace&, String&);

extern VovStatus VOVtoggleStatus( VovNode&, VovNodeStatus );



extern VovStatus VOVedit( VovTrace&, VovNode& );

extern int   VOVsynchNotify( VovTrace& , VovEventQueue& queue , int max_events, int onlyunreported = 1 );
extern void      VOVnotify( VovTrace&, int flag );
extern VovStatus VOVnextEvent( VovTrace& , VovEvent& );
extern VovStatus VOVasynchNotify( VovTrace&, VovEventFilterFunction, VovEventFilter& stopFilter );

extern VovStatus VOVselect( VovTrace& trace, String& setname, String& rx );

extern VovStatus VOVsnapshot( VovTrace& );

extern VovStatus VOVkillServer( VovTrace& );

#endif /* VOVLIB_H */
