// This may look like C code, but it is really -*- C++ -*-
#ifndef UTCC_H
#define UTCC_H
#pragma once

#include <String.h>

extern void utcc_fatalerror( String&  s );
extern void utcc_error( String& s );
extern void utcc_message( String& s );
extern void utcc_printerrno( String& where );
extern String utcc_gethostname();
extern String utcc_getwd();
extern String utcc_machine();

extern String utcc_getenv( String& name, int loud = 1 );

extern String utcc_popen( const String& cmd );
extern char* utcc_strsav( const char* ); // Save a string.

extern void   utcc_cat( const String& path );   // Same as 'cat'
extern String utcc_which( const String& path );	// Same as 'which'

// Some other string management routines.
extern char* utcc_strsav_and_track( const char* );
extern void  utcc_strfree( char* );	 // Free a string allocated with utcc_strsav().
extern void  utcc_strfreeall( );	 // Free all strings allocated with utcc_strsav().
#endif
